#include <iostream.h>
#include <fstream.h>
#include <unistd.h>
#include "Bank.h"
#include "Bank_impl.h"

//#define DEBUG 0

int main( int argc, char *argv[] )
{
    AccountLoader loader;
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

    if (!boa->restoring()) {
#if DEBUG
	cout << "Creating Bank...";
#endif
        Bank *b = new Bank_impl;
	boa->obj_is_ready (b, 0);
#if DEBUG
        cout << "done.\n";
#endif
 
    } else {
	boa->obj_is_ready (0, 0);
    }
    orb->run ();
    
    return 0;
}





